<?php
/*
* date last modified 03-10-2017
* Edited by PI-Digi Logical Solutions
* HTML Files - manage_staff.html.php
* Mysql Tables - tbl_admin, tbl_purchase_order, tbl_admin_type
*/
require_once('./classes/class.noseo_pagination.php'); # pagination class
require_once('./includes/functions.php'); # general functions

if(isset($_REQUEST['p']) && $_REQUEST['p']!=''){
	$p = trim($_REQUEST['p']);
} else {
	$p = 1;
}

if(isset($_GET['action']) && $_GET['action'] == 'enable') {	
	if(isset($_GET['id']) && $_GET['id']!=''){
		$update = mysqli_query($con,"UPDATE tbl_discount_coupon SET status = 'Active' WHERE id='".$_GET['id']."'");
		if($update) {
			$success = 'The coupon has been activated';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&p=<?php echo $p; ?>&success=<?php echo $success; ?>';
			</script>
	        <?php
		}
	}
}

if(isset($_GET['action']) && $_GET['action'] == 'disable') {	
	if(isset($_GET['id']) && $_GET['id']!=''){
		$update = mysqli_query($con,"UPDATE tbl_discount_coupon SET status = 'Disabled' WHERE id='".$_GET['id']."'");
		if($update) {
			$success = 'The coupon has been disabled';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&p=<?php echo $p; ?>&success=<?php echo $success; ?>';
			</script>
	        <?php
		}
	}
}
if(isset($_GET['action']) && $_GET['action'] == 'delete') {	
	if(isset($_GET['id']) && $_GET['id']!=''){
		$delete = mysqli_query($con,'DELETE FROM tbl_discount_coupon WHERE id='.$_GET['id']);
		if($delete) {
			$success = 'Deleted the coupon';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&p=<?php echo $p; ?>&success=<?php echo $success; ?>';
			</script>
	        <?php
		}
	}
}

$pageVars = '';


$select = "SELECT * FROM tbl_discount_coupon ORDER BY id DESC";
//echo $select;
// Using pagination class
$pagination = new pagination_noseo($select);
$execDetails = $pagination->createPages(10);

$pageLnk = 'index.php?page='.$page.'&'.$pageVars;
$pageNums = $pagination->pageNumber(5, $pageLnk);
?>